Subject: Re: bug#1166: 23.0.60; Point jumps instead of scrolling in the new line

From: "Lennart Borgman" <[email-masked]>
Date: Thu, 16 Oct 2008 17:32:46 +0200

On Tue, Oct 14, 2008 at 7:57 PM, Lennart Borgman (gmail)
<[email-masked]> wrote:
> I have found a bug where point jumps to a new postion instead of a new
> line beeing scrolled into the selected window. I am unable to narrow it
> down, but I can reproduce it (but I am not sure about what makes it
> happens). Just to get some thoughts I write down what I have seen so far
> here.
>
> The scenario is this:
> - Point is on the last line in the window.
> - I press "o" in viper. This opens a line below the current line and
> puts the point on this line.
>
> What I expect to happen is that this new line is scrolled into the
> window. Sometimes this happens. Sometimes instead point jumps up, maybe
> 10 lines (I did not count them at all) and the window is not scrolled so
> the new line is not visible.
>
> There are some other ingredients too:
> - I believe that nxml-mode (or a derivative) must be the major mode.
> - If I remove nxml-after-change from after-change-functions the bug
> disappears.
> - If I try to use edebug it also disappears.
>
> Maybe those ingredients also are required, I am not sure since I can't
> easily reproduce the bug yet:
> - visual-line-mode.
>
> Does anyone have any idea of how to find out what the problem is? In
> nxml-after-change there is a whole bunch of "save-*" macros. I commented
> out them all, but the bug still appears. But where is the scrolling done?

It would help if someone could tell me where the scrolling should have
taken place. To begin with:

- Where in command_loop_1?
- And then of course a little bit more exact ...